| Home | Libraries | People | FAQ | More

## BoostBook element `inherit`

inherit — Declares a base class of the enclosing class or struct

## Synopsis

inherit ::= (type, purpose?)

## Description

This element contains the type of the class inherited.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2008-03-15 15:10:41 -0400 (Sat, 15 Mar 2008) $ to keep "last revised" information in sync with CVS changes
access | #REQUIRED | CDATA | The access specifier ("public", "private", or "protected") of the inheritance.
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes